VAGRANTFILE_API_VERSION = "2"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
  # All Vagrant configuration is done here. The most common configuration
  # options are documented and commented below. For a complete reference,
  # please see the online documentation at vagrantup.com.

  # Every Vagrant virtual environment requires a box to build off of.
#OSのDL先。リンク元→https://app.vagrantup.com/bento/boxes/centos-7
  config.vm.box = "centos/stream8"
  config

#VMの共通設定
  config.vm.provider "virtualbox" do |vb|
    vb.cpus = 1
    vb.memory = 1024
  end

#VM個別設定

  #ansibleのターゲットとなるサーバ1
  config.vm.define :master1 do | master_VM |
    master_VM.vm.hostname = "master1"
    #内部ネットワーク設定。intnetのネットワークに所属するVM同士を接続する。
    master_VM.vm.network :private_network, ip: "172.16.1.102"
  end




  
  #ansibleのターゲットとなるサーバ1
  config.vm.define :bastion do | bastion_VM |
    bastion_VM.vm.hostname = "bastion"
    #内部ネットワーク設定。intnetのネットワークに所属するVM同士を接続する。
    bastion_VM.vm.network :private_network, ip: "172.16.1.181"
    #ホストオンリーアダプタの設定。接続範囲は次の通り(外部→VMへの接続は不可)：「VM-> ローカル」「ローカル-> VM」「VM-> 外部」
    bastion_VM.vm.network "public_network",ip: "192.168.11.42", bridge: "Realtek PCIe GbE Family Controller"
  end

  #ansibleのターゲットとなるサーバ1
  # config.vm.define :master2 do | master_VM |
  #   master_VM.vm.hostname = "master2"
  #   #内部ネットワーク設定。intnetのネットワークに所属するVM同士を接続する。
  #   master_VM.vm.network :private_network, ip: "172.16.1.103"
  # end

  # #ansibleのターゲットとなるサーバ1
  # config.vm.define :master3 do | master_VM |
  #   master_VM.vm.hostname = "master3"
  #   #内部ネットワーク設定。intnetのネットワークに所属するVM同士を接続する。
  #   master_VM.vm.network :private_network, ip: "172.16.1.104"
  # end


  # #ansibleのターゲットとなるサーバ1
  # config.vm.define :worker1 do | worker_VM |
  #   worker_VM.vm.hostname = "worker1"
  #   #内部ネットワーク設定。intnetのネットワークに所属するVM同士を接続する。
  #   worker_VM.vm.network :private_network, ip: "172.16.1.105"
  # end

  # #ansibleのターゲットとなるサーバ1
  # config.vm.define :worker2 do | worker_VM |
  #   worker_VM.vm.hostname = "worker2"
  #   #内部ネットワーク設定。intnetのネットワークに所属するVM同士を接続する。
  #   worker_VM.vm.network :private_network, ip: "172.16.1.106"
  # end


  # #ansibleのターゲットとなるサーバ1
  # config.vm.define :bootstrap do | bootstrap_VM |
  #   bootstrap_VM.vm.hostname = "bootstrap"
  #   #内部ネットワーク設定。intnetのネットワークに所属するVM同士を接続する。
  #   bootstrap_VM.vm.network :private_network, ip: "172.16.1.107"
  # end
  
  config.vm.provision "ansible_local" do |ansible|
    ansible.playbook = "ansible/ansible_task.yml"
  end

  




end





